Package ghidra.app.util.bin.format.pe.debug

# Class OMFSegMapDesc

java.lang.Object
ghidra.app.util.bin.format.pe.debug.OMFSegMapDesc

public class OMFSegMapDesc extends Object
A class to represent the Object Module Format (OMF) Segment Mapping Descriptor data structure.

     typedef struct OMFSegMapDesc {
         unsigned short  flags;       // descriptor flags bit field
         unsigned short  ovl;         // the logical overlay number
         unsigned short  group;       // group index into the descriptor array
         unsigned short  frame;       // logical segment index - interpreted via flags
         unsigned short  iSegName;    // segment or group name - index into sstSegName
         unsigned short  iClassName;  // class name - index into sstSegName
         unsigned long   offset;      // byte offset of the logical within the physical segment
         unsigned long   cbSeg;       // byte count of the logical segment or group
     } OMFSegMapDesc;

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getByteCount()`
  Returns the byte count of the logical segment or group.
  `int`
  `getByteOffset()`
  Returns the byte offset of the logical within the physical segment.
  `short`
  `getClassName()`
  Returns the class name - index into sstSegName.
  `short`
  `getFlags()`
  Returns the descriptor flags bit field.
  `short`
  `getGroupIndex()`
  Returns the group index into the descriptor array.
  `short`
  `getLogicalOverlayNumber()`
  Returns the logical overlay number.
  `short`
  `getLogicalSegmentIndex()`
  Returns the logical segment index - interpreted via flags.
  `short`
  `getSegmentName()`
  Returns the segment or group name - index into sstSegName.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getFlags

    public short getFlags()
    Returns the descriptor flags bit field.
    Returns:
      the descriptor flags bit field

  - ### getLogicalOverlayNumber

    public short getLogicalOverlayNumber()
    Returns the logical overlay number.
    Returns:
      the logical overlay number

  - ### getGroupIndex

    public short getGroupIndex()
    Returns the group index into the descriptor array.
    Returns:
      the group index into the descriptor array

  - ### getLogicalSegmentIndex

    public short getLogicalSegmentIndex()
    Returns the logical segment index - interpreted via flags.
    Returns:
      the logical segment index - interpreted via flags

  - ### getSegmentName

    public short getSegmentName()
    Returns the segment or group name - index into sstSegName.
    Returns:
      the segment or group name - index into sstSegName

  - ### getClassName

    public short getClassName()
    Returns the class name - index into sstSegName.
    Returns:
      the class name - index into sstSegName

  - ### getByteOffset

    public int getByteOffset()
    Returns the byte offset of the logical within the physical segment.
    Returns:
      the byte offset of the logical within the physical segment

  - ### getByteCount

    public int getByteCount()
    Returns the byte count of the logical segment or group.
    Returns:
      the byte count of the logical segment or group